/*
 * Navbar item
 *
 * Index
 * - Native
 * - Inner
 * - Icon
 * - Badge
 */


:host {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex: 1;
  flex-basis: 0;
  flex-direction: column;
  flex-grow: 1;
  align-items: center;
  justify-content: center;
  text-align: center;
  white-space: nowrap;
}

@media (min-width: 1200px) {

  :host {
    flex-grow: inherit;
    width: 100%;
    padding: 0.5rem;
  }

}

/**
 * Disabled
 */

:host(.tab-disabled),
:host(.tab-disabled) road-tooltip,
:host(.tab-disabled) road-tooltip road-icon,
:host(.tab-disabled) ::slotted(road-icon) {
  color: var(--road-on-surface-disabled);
  cursor: not-allowed;
  fill: var(--road-on-surface-disabled);
}

/**
 * Selected state
 */

:host(.tab-selected),
:host(.tab-selected) road-tooltip road-icon,
:host(.tab-selected) ::slotted(road-icon) {
  color: var(--road-on-button-tertiary);
  fill: var(--road-on-button-tertiary);
}

:host(.tab-selected)::after {
  position: absolute;
  bottom: -12px;
  left: 0;
  display: block;
  width: 100%;
  height: 4px;
  color: var(--road-on-button-tertiary);
  content: "";
  background-color: var(--road-on-button-tertiary);
}

@media (min-width: 1200px) {

  :host(.tab-selected)::after {
    bottom: auto;
    left: 0;
    width: 4px;
    height: 100%;
  }

}


/**
 * Focus on Tab state
 */

:host(.focus-visible) ::slotted(road-icon),
:host(.focus-visible) ::slotted(road-icon)::after,
:host(.focus-visible) ::slotted(road-label),
:host(.focus-visible) ::slotted(road-label)::after,
:host(:hover) ::slotted(road-icon),
:host(:hover) ::slotted(road-icon)::after,
:host(:hover) ::slotted(road-label),
:host(:hover) ::slotted(road-label)::after {
  color: var(--road-on-button-tertiary);
}

:host(.tab-disabled.focus-visible) ::slotted(road-icon),
:host(.tab-disabled.focus-visible) ::slotted(road-label),
:host(.tab-disabled:hover) ::slotted(road-icon),
:host(.tab-disabled:hover) ::slotted(road-label) {
  color: var(--road-on-surface-disabled);
  cursor: not-allowed;
  fill: var(--road-on-surface-disabled);
}


/* NATIVE
 -------------------- */

.button-native {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: inherit;
  align-items: inherit;
  justify-content: inherit;
  width: 100%;
  height: 100%;
  margin: 0;
  overflow: visible;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  color: inherit;
  text-align: inherit;
  text-decoration: none;
  text-indent: inherit;
  text-overflow: inherit;
  text-transform: inherit;
  letter-spacing: inherit;
  white-space: inherit;
  cursor: pointer;
  background: transparent;
  border-color: initial;
  border-style: initial;
  border-width: 0;
  border-radius: inherit;
  border-image: initial;
  outline: 0;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

:host(.tab-disabled) .button-native {
  cursor: not-allowed;
}

/* INNER
 -------------------- */

.button-inner {
  position: relative;
  z-index: 1;
  display: flex;
  flex-flow: inherit;
  align-items: inherit;
  justify-content: inherit;
  width: 100%;
  height: 100%;
}

/* ICON
 -------------------- */

::slotted(road-icon) {
  display: block;
  width: 2rem;
  height: 2rem;
  margin-right: auto;
  margin-bottom: 0.25rem;
  margin-left: auto;
  fill: currentColor;
}

/* TOOLTIP
 -------------------- */

@media (min-width: 1200px) {

  :host ::slotted(road-tooltip) {
    width: 100%;
  }

}

/* LABEL
 -------------------- */

::slotted(road-label) {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex: 1;
  flex-direction: column;
  font-size: var(--road-label-small);
  font-weight: 700;
  text-align: center;
  white-space: nowrap;
}

@media (min-width: 1200px) {

  ::slotted(road-label)  {
    display: block;
  }
}

/* BADGE
 -------------------- */

::slotted(road-badge) {
  position: absolute;
  top: 4px;
  left: calc(50% + 0.375rem);
  z-index: 1;
  box-sizing: border-box;
  height: auto;
  font-size: var(--road-font-size-10);
  font-weight: 400;
}
